Skip to main content

updateAstConfig

Update AST V2 configuration

updateAstConfig(
input: UpdateAstConfigInput!
): UpdateAstConfigPayload

Arguments​

updateAstConfig.input ● UpdateAstConfigInput! non-null input​

Parameters for UpdateAstConfig

Type​

UpdateAstConfigPayload object​

Autogenerated return type of UpdateAstConfig.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateAstConfig($input: UpdateAstConfigInput!) {\n updateAstConfig(input: $input) { astConfig { config } clientMutationId errors }\n}","variables":{"input":{"companyId":"<company_id>","config":"<JSON>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute